## dish 1.16.2

=== Makefile ===
#
# Makefile for dish
# 
# It is needed only to create manual pages, VERSION file, and packages
# For installing the software you can use essentially ./install.sh
#

PROG = dish
DOC_MAN = $(PROG).1
DOC_MAN_NAME="tool for parallel sysadmin of multiple hosts"
DOC_HTML = $(DOC_MAN).html
DOC_SEEALSO = seealso
DIR_SRC = src
VERSION = VERSION

# Installation directories
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
mandir = $(prefix)/man
man1dir = $(mandir)/man1
# Debian directories
destbin = usr/bin
destman = usr/share/man/man1


all: $(VERSION) $(DIR_SRC)/$(DOC_MAN) $(DIR_SRC)/$(DOC_HTML) $(DIR_SRC)/$(DOC_SEEALSO)
	umask 022

$(VERSION): $(DIR_SRC)/$(PROG)
	$< -V > $(VERSION)

$(DIR_SRC)/$(DOC_MAN): $(DIR_SRC)/$(PROG) $(DIR_SRC)/$(DOC_SEEALSO)
	cd $(DIR_SRC) ; \
	help2man -N -n $(DOC_MAN_NAME) -i $(DOC_SEEALSO) ../$< \
	|sed -e 's/\([^\\]\)-/\1\\-/g;s/\([^\\]\)-/\1\\-/g;' > $(DOC_MAN)

$(DIR_SRC)/$(DOC_HTML): $(DIR_SRC)/$(DOC_MAN)
	cd $(DIR_SRC) ; \
	man2html $(DOC_MAN) |egrep -vi "(^Section:|^Content-type|Return to Main Contents|^Time:|<H1>$<</H1>)" |sed -e 's_H2>_H3>_g' > $(DOC_HTML)

$(DOC_SEEALSO):

clean:
	rm -f $(VERSION) $(DIR_SRC)/$(DOC_MAN) $(DIR_SRC)/$(DOC_HTML)

install: installdirs all
	if [ -n $(DESTDIR) ] ; then \
		DESTBIN=$(DESTDIR)/$(destbin) ; \
		DESTMAN=$(DESTDIR)/$(destman) ; \
	else \
		DESTBIN=$(bindir) && DESTMAN=$(man1dir) ; \
	fi ; \
	./install.sh -i -q -b $$DESTBIN -m $$DESTMAN

uninstall:
	if [ -n $(DESTDIR) ] ; then \
		DESTBIN=$(DESTDIR)/$(destbin) ; \
		DESTMAN=$(DESTDIR)/$(destman) ; \
	else \
		DESTBIN=$(bindir) && DESTMAN=$(man1dir) ; \
	fi ; \
	./install.sh -u -q -b $$DESTBIN -m $$DESTMAN

installdirs: $(DIR_SRC)/mkinstalldirs
	cd $(DIR_SRC) ; \
	if [ -n $(DESTDIR) ] ; then \
		DESTBIN=$(DESTDIR)/$(destbin) ; \
		DESTMAN=$(DESTDIR)/$(destman) ; \
	else \
		DESTBIN=$(bindir) && DESTMAN=$(man1dir) ; \
	fi ; \
	./mkinstalldirs $$DESTBIN $$DESTMAN

tar: all $(DIR_SRC)/$(DOC_HTML)
	exclude="--exclude=debian --exclude=*-stamp \
		--exclude=*.swp" ; \
	vers=`cat $(VERSION)` ; \
	dvers=`test -f debian/changelog && \
	       head -1 debian/changelog |cut -f2 -d" "|tr -d '()'` ; \
	GZIP=--best ; \
	export GZIP ; \
	cd .. && \
	tar czpvf $(PROG)-$$vers.tar.gz $(PROG)-$$vers $$exclude && \
	tar czpvf $(PROG)_$$dvers.full.tar.gz $(PROG)-$$vers

debsrc: all tar
	debuild -S

packages: all tar
	@( debuild && \
	dvers=`test -f debian/changelog && \
	       head -1 debian/changelog |cut -f2 -d" "|tr -d '()'` && \
	umask 022 && \
	echo "" && \
	echo Trying to convert $(PROG)_$${dvers}_all.deb to RPM && \
	su -c "alien -k -r ../$(PROG)_$${dvers}_all.deb" && \
	mv -f *.rpm ..)

sums:
	@vers=`cat $(VERSION)` ; \
	dvers=`head -1 debian/changelog |cut -f2 -d" "|tr -d '()'` ; \
	cd .. && \
	sha1sum *$$dvers*{rpm,deb} *$$vers*.tar.gz \
		|egrep -v "full|orig" |tac -> $(PROG)-$$vers.sha1

## dish 1.17

=== Makefile ===
#
# Makefile for dish
# 
# It is needed only to create manual pages, VERSION file, and packages
# For installing the software you can use essentially ./install.sh
#

PROG = dish
DOC_MAN_NAME="tool for parallel sysadmin of multiple hosts"
DOC_MAN = $(PROG).1
DOC_TEXT = $(PROG).txt
DOC_HTML = $(DOC_MAN).html
DOC_SEEALSO = seealso
DIR_SRC = src
VERSION = VERSION

# Installation directories
prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
mandir = $(prefix)/man
man1dir = $(mandir)/man1
# Debian directories
destbin = usr/bin
destman = usr/share/man/man1
destdoc = usr/share/doc/dish


all: $(VERSION) $(DIR_SRC)/$(DOC_MAN) $(DIR_SRC)/$(DOC_HTML) $(DIR_SRC)/$(DOC_SEEALSO) $(DIR_SRC)/$(DOC_TEXT)
	@echo Done.

$(VERSION): $(DIR_SRC)/$(PROG)
	$< -V > $(VERSION)

$(DIR_SRC)/$(DOC_MAN): $(DIR_SRC)/$(PROG) $(DIR_SRC)/$(DOC_SEEALSO)
	cd $(DIR_SRC) ; \
	help2man -N -n $(DOC_MAN_NAME) -i $(DOC_SEEALSO) ../$< \
	|sed -e 's/\([^\\]\)-/\1\\-/g;s/\([^\\]\)-/\1\\-/g;' > $(DOC_MAN)

$(DIR_SRC)/$(DOC_TEXT): $(DIR_SRC)/$(DOC_MAN)
	cd $(DIR_SRC) ; \
	./$(PROG) -Help > $(DOC_TEXT)

$(DIR_SRC)/$(DOC_HTML): $(DIR_SRC)/$(DOC_MAN)
	cd $(DIR_SRC) ; \
	which man2html 2>&1 |grep ^\/ && { man2html $(DOC_MAN) |egrep -vi "(^Section:|^Content-type|Return to Main Contents|^Time:|<H1>$<</H1>)" |sed -e 's_H2>_H3>_g' > $(DOC_HTML) ; } || true

$(DOC_SEEALSO):

clean:
	rm -f $(VERSION) tar-stamp $(DIR_SRC)/$(DOC_MAN) $(DIR_SRC)/$(DOC_HTML) $(DIR_SRC)/$(DOC_TEXT)

install: installdirs all
	if [ -n "$(DESTDIR)" ] ; then \
		DESTBIN=$(DESTDIR)/$(destbin) ; \
		DESTMAN=$(DESTDIR)/$(destman) ; \
	else \
		DESTBIN=$(bindir) && DESTMAN=$(man1dir) ; \
	fi ; \
	./install.sh -i -q -b $$DESTBIN -m $$DESTMAN

uninstall:
	if [ -n "$(DESTDIR)" ] ; then \
		DESTBIN=$(DESTDIR)/$(destbin) ; \
		DESTMAN=$(DESTDIR)/$(destman) ; \
	else \
		DESTBIN=$(bindir) && DESTMAN=$(man1dir) ; \
	fi ; \
	./install.sh -u -q -b $$DESTBIN -m $$DESTMAN

install-doc-base: $(DIR_SRC)/$(DOC_HTML) $(DIR_SRC)/$(DOC_TEXT)
	if [ -n "$(DESTDIR)" ] ; then \
		DESTDOC=$(DESTDIR)/$(destdoc) ; \
		/bin/cp -p $(DIR_SRC)/$(DOC_HTML) $$DESTDOC/html && \
		/bin/cp -p $(DIR_SRC)/$(DOC_TEXT) $$DESTDOC && \
		cd $$DESTDOC/html && ln -s $(DOC_HTML) index.html ; \
	else \
		echo "This target should be used only from debian/rules" ; \
	fi ;

installdirs: $(DIR_SRC)/mkinstalldirs
	cd $(DIR_SRC) ; \
	if [ -n "$(DESTDIR)" ] ; then \
		DESTBIN=$(DESTDIR)/$(destbin) ; \
		DESTMAN=$(DESTDIR)/$(destman) ; \
	else \
		DESTBIN=$(bindir) && DESTMAN=$(man1dir) ; \
	fi ; \
	./mkinstalldirs $$DESTBIN $$DESTMAN

tar: all tar-stamp

tar-stamp:
	touch tar-stamp ; \
	vers=`cat $(VERSION)` ; \
	ups=`test -f debian/changelog && \
		awk 'NR==3 {print $0}' debian/changelog | \
		grep -i 'new upstream' >/dev/null 2>&1 && echo 0` ; \
	exclude="--exclude=debian --exclude=*-stamp \
		--exclude=*.swp" ; \
	GZIP=--best ; \
	export GZIP ; \
	cd .. && tar czpvf $(PROG)-$$vers.tar.gz $(PROG)-$$vers $$exclude ; \
	if [ $$ups ]; then \
	     cp -p $(PROG)-$$vers.tar.gz $(PROG)_$$vers.orig.tar.gz ; \
	fi ; \

tar-full: all
	vers=`cat $(VERSION)` ; \
	dvers=`test -f debian/changelog && \
	       sed -n -e '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
	exclude="--exclude=*.swp" ; \
	GZIP=--best ; \
	export GZIP ; \
	cd .. && \
	tar czpvf $(PROG)_$$dvers.full.tar.gz $(PROG)-$$vers $$exclude

debsrc: all tar tar-full
	debuild -S

packages: all tar tar-full
	@( debuild && debuild clean && \
	dvers=`test -f debian/changelog && \
	       sed -n -e '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` && \
	echo "" && \
	echo Trying to convert $(PROG)_$${dvers}_all.deb to RPM && \
	su -c "umask 022 && alien -k -r ../$(PROG)_$${dvers}_all.deb" && \
	mv -f *.rpm ..)

sums:
	@vers=`cat $(VERSION)` ; \
	dvers=`sed -n -e '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
	cd .. && \
	sha1sum *$$dvers*{rpm,deb} *$$vers*.tar.gz \
		|egrep -v "full|orig" |tac -> $(PROG)-$$vers.sha1

## dish 1.18.2

=== debian/changelog ===
dish (1.18.2-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.9.2
  * Debian source format changed from default "1.0" to "3.0 (quilt)"
  * Updated license link in the copyright file to point to GPL-3

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Wed, 19 Oct 2011 12:29:17 +0200

dish (1.17.1-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.8.3
  * Debhelper compatibility level changed (>= 7) to fix the bug introduced 
    with the 1.17-1 release in debian/control for the Build-Depends (because
    of using dh_prep in debian/rules)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Mon, 26 Oct 2009 21:40:14 +0100

dish (1.17-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.8.0
  * 'Build-Depends-Indep:' field removed from debian/control because
    'make clean' is not used in debian/rules
  * using 'dh_prep' instead of the deprecated 'dh_clean -k'
  * MAKE has now a second target "install-doc-base" for supporting debian
    online documentation by `doc-base' - debian/doc-base file configured
  * Added debian/dish.links to link the manpage for 'dicp'

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Tue, 23 Sep 2008 21:05:36 +0200

dish (1.16.2-2) unstable; urgency=low

  * Program names quoted in the description paragraph in debian/control - 
    linitian warning "spelling-error-in-description" fixed

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Tue, 03 Jun 2008 21:20:09 +0200

dish (1.16.2-1) unstable; urgency=low

  * New upstream release
  * target configure-stamp removed from debian/rules
  * example of configuration files moved to debian/examples
  * Makefile adjusted in order to escape unescaped '-' from help2man

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Mon, 02 Jun 2008 20:27:17 +0200

dish (1.16.1-2) unstable; urgency=low

  * Standards-Version changed to 3.7.3
  * Homepage field added to debian/control
  * debian/rules fixed
    - dh_compress was lost in previous cleanup, now restored
    - configure target removed
    - CFLAGS removed
  * config_examples moved from debian/docs to debian/examples
  * usr/sbin removed from debian/dirs

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 29 May 2008 21:25:17 +0200

dish (1.16.1-1) unstable; urgency=low

  * New upstream release
  * Copyright years updated in the README file
  * Makefile adjusted with new target for creating debian source packages only

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 22 May 2008 21:14:15 +0200

dish (1.16-2) unstable; urgency=low

  * debian/rules fixed - no more lintian complaints about
    "binary-arch-rules-but-pkg-is-arch-indep" and
    "debian-rules-ignores-make-clean-error"

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Sat, 05 Apr 2008 23:22:45 +0200

dish (1.16-1) unstable; urgency=low

  * New upstream release (Closes: #474168)
  * Uploaded to mentors.debian.net

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 03 Apr 2008 21:31:19 +0200

dish (1.15) unstable; urgency=low

  * New upstream release

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Fri, 12 Oct 2007 16:27:37 +0200

dish (1.14) unstable; urgency=low

  * Initial Release (debian unofficial package)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 28 Dec 2006 22:40:20 +0100

=== debian/control ===
Source: dish
Section: admin
Priority: optional
Maintainer: Dimitar Ivanov <dimitar.ivanov@mirendom.net>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.2
Homepage: http://dish.mirendom.net

Package: dish
Architecture: all
Depends: expect, ${misc:Depends}
Recommends: openssh-client | ssh, telnet | inetutils-telnet | telnet-ssl
Description: diligence/distributed shell for parallel sysadmin
 Dish executes commands simultaneously on several systems via 'ssh', 'rsh', 
 'telnet', 'mysql', or other command-line programs. And it makes easy the
 distribution of files by 'scp' and 'rcp', but also a remote password change
 or operations requiring authentication by multiple passwords. Dish can be
 used as a flexible tool for managing large number of various types of hosts
 such as servers, switches, databases, etc.

## dish 1.18.3

=== Makefile ===
--- 
+++ 
@@ -35,7 +35,7 @@
 $(DIR_SRC)/$(DOC_MAN): $(DIR_SRC)/$(PROG) $(DIR_SRC)/$(DOC_SEEALSO)
 	cd $(DIR_SRC) ; \
 	help2man -N -n $(DOC_MAN_NAME) -i $(DOC_SEEALSO) ../$< \
-	|sed -e 's/\([^\\]\)-/\1\\-/g;s/\([^\\]\)-/\1\\-/g;' > $(DOC_MAN)
+	|sed -e 's/\([( ]\)\\fB/\1/g; s/\([^\\]\)-/\1\\-/g; s/\([^\\]\)-/\1\\-/g;' > $(DOC_MAN)
 
 $(DIR_SRC)/$(DOC_TEXT): $(DIR_SRC)/$(DOC_MAN)
 	cd $(DIR_SRC) ; \
@@ -45,10 +45,8 @@
 	cd $(DIR_SRC) ; \
 	which man2html 2>&1 |grep ^\/ && { man2html $(DOC_MAN) |egrep -vi "(^Section:|^Content-type|Return to Main Contents|^Time:|<H1>$<</H1>)" |sed -e 's_H2>_H3>_g' > $(DOC_HTML) ; } || true
 
-$(DOC_SEEALSO):
-
 clean:
-	rm -f $(VERSION) tar-stamp $(DIR_SRC)/$(DOC_MAN) $(DIR_SRC)/$(DOC_HTML) $(DIR_SRC)/$(DOC_TEXT)
+	rm -f $(VERSION) tar.stamp $(DIR_SRC)/$(DOC_MAN) $(DIR_SRC)/$(DOC_HTML) $(DIR_SRC)/$(DOC_TEXT)
 
 install: installdirs all
 	if [ -n "$(DESTDIR)" ] ; then \
@@ -88,16 +86,16 @@
 	fi ; \
 	./mkinstalldirs $$DESTBIN $$DESTMAN
 
-tar: all tar-stamp
+tar: all tar.stamp
 
-tar-stamp:
-	touch tar-stamp ; \
+tar.stamp:
+	touch tar.stamp ; \
 	vers=`cat $(VERSION)` ; \
 	ups=`test -f debian/changelog && \
 		awk 'NR==3 {print $0}' debian/changelog | \
 		grep -i 'new upstream' >/dev/null 2>&1 && echo 0` ; \
-	exclude="--exclude=debian --exclude=*-stamp \
-		--exclude=*.swp" ; \
+	exclude="--exclude=debian --exclude=*-stamp --exclude=*.stamp \
+		--exclude=.*.swp" ; \
 	GZIP=--best ; \
 	export GZIP ; \
 	cd .. && tar czpvf $(PROG)-$$vers.tar.gz $(PROG)-$$vers $$exclude ; \
@@ -109,7 +107,7 @@
 	vers=`cat $(VERSION)` ; \
 	dvers=`test -f debian/changelog && \
 	       sed -n -e '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
-	exclude="--exclude=*.swp" ; \
+	exclude="--exclude=.*.swp" ; \
 	GZIP=--best ; \
 	export GZIP ; \
 	cd .. && \
@@ -131,5 +129,5 @@
 	@vers=`cat $(VERSION)` ; \
 	dvers=`sed -n -e '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` ; \
 	cd .. && \
-	sha1sum *$$dvers*{rpm,deb} *$$vers*.tar.gz \
-		|egrep -v "full|orig" |tac -> $(PROG)-$$vers.sha1
+	sha1sum $(PROG)-$$vers.tar.gz $(PROG)-$$dvers.noarch.rpm \
+		>$(PROG)-$$vers.sha1

=== debian/changelog ===
dish (1.18.3-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.9.3

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 03 May 2012 13:13:55 +0200

=== debian/control ===
Source: dish
Section: admin
Priority: optional
Maintainer: Dimitar Ivanov <dimitar.ivanov@mirendom.net>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://dish.mirendom.net

Package: dish
Architecture: all
Depends: expect, ${misc:Depends}
Recommends: openssh-client | ssh, telnet | inetutils-telnet | telnet-ssl
Description: diligence/distributed shell for parallel sysadmin
 Dish executes commands simultaneously on several systems via 'ssh', 'rsh',
 'telnet', 'mysql', or any user-defined command-line connection client. 
 It makes easy the distribution of files by 'scp' and 'rcp', but also a remote
 password change or operations requiring authentication by multiple passwords.
 Dish can be used as a flexible tool for managing large number of various types
 of hosts such as (clustered) servers, switches, databases, etc.

## dish 1.19.1

=== Makefile ===
--- 
+++ 
@@ -88,7 +88,7 @@
 
 tar: all tar.stamp
 
-tar.stamp:
+tar.stamp: NEWS README
 	touch tar.stamp ; \
 	vers=`cat $(VERSION)` ; \
 	ups=`test -f debian/changelog && \
@@ -116,7 +116,7 @@
 debsrc: all tar tar-full
 	debuild -S
 
-packages: all tar tar-full
+packages: tar tar-full
 	@( debuild && debuild clean && \
 	dvers=`test -f debian/changelog && \
 	       sed -n -e '1s/\(.*(\)\(.*\)\().*\)/\2/p' debian/changelog` && \

=== debian/changelog ===
dish (1.19.1-2) unstable; urgency=medium

  * Maintain package in Salvage team
    Closes: #1108490
  * Add telnet-client to alternatives for Dependencies
    Closes: #1016852
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * d/copyright: DEP5
  * Short dh

 -- Andreas Tille <tille@debian.org>  Sun, 29 Jun 2025 16:26:40 +0200

dish (1.19.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 12:36:21 +0100

dish (1.19.1-1) unstable; urgency=low

  * New upstream release
  * Standards-Version changed to 3.9.4
  * New entry in dish.links:
    '/usr/share/doc/dish/changelog.gz' points to '/usr/share/doc/dish/NEWS.gz'
  * Clean exit on timeout: all spawned processes terminated (Ubuntu LP: #661659)

 -- Dimitar Ivanov <dimitar.ivanov@mirendom.net>  Thu, 19 Sep 2013 18:12:56 +0200

=== debian/control ===
Source: dish
Section: admin
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Dimitar Ivanov <dimitar.ivanov@mirendom.net>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               expect
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/dish
Vcs-Git: https://salsa.debian.org/salvage-team/dish.git
Homepage: http://dish.mirendom.net

Package: dish
Architecture: all
Depends: expect, ${misc:Depends}
Recommends: openssh-client | ssh,
            telnet | telnet-client | inetutils-telnet | telnet-ssl
Description: diligence/distributed shell for parallel sysadmin
 Dish executes commands simultaneously on several systems via 'ssh', 'rsh',
 'telnet', 'mysql', or any user-defined command-line connection client.
 It makes easy the distribution of files by 'scp' and 'rcp', but also a remote
 password change or operations requiring authentication by multiple passwords.
 Dish can be used as a flexible tool for managing large number of various types
 of hosts such as (clustered) servers, switches, databases, etc.

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	echo "Do not remove files we want to install later"

override_dh_auto_build:
	echo "Everything is readily build - no need to call help2man"

override_dh_auto_install:
	echo "Install target is quite complex - just relay on dh_install"

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=4

https://freeshell.de/~drimiks/gnu/dish.shtml .*/download.cgi/progs/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
